﻿@{

    string baseUrl = Request.Url.Scheme + "://" + Request.Url.Authority +
Request.ApplicationPath.TrimEnd('/');
    string baseUrlAsset = baseUrl + "/" + "Asset";


}

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
    <meta name="description" content="" />
    <meta name="author" content="" />
    <title>Etana Booking Room - SB Admin</title>
    <link href="https://cdn.jsdelivr.net/npm/simple-datatables@7.1.2/dist/style.min.css" rel="stylesheet" />
    <link href="@baseUrlAsset/css/styles.css" rel="stylesheet" />
    <script src="https://use.fontawesome.com/releases/v6.3.0/js/all.js" crossorigin="anonymous"></script>
</head>
<body class="sb-nav-fixed">
    <nav class="sb-topnav navbar navbar-expand navbar-dark bg-dark">
        <!-- Navbar Brand-->
        <a class="navbar-brand ps-3" href="@baseUrl/ListRooms">Etana Booking Room</a>
        <!-- Sidebar Toggle-->
        <button class="btn btn-link btn-sm order-1 order-lg-0 me-4 me-lg-0" id="sidebarToggle" href="#!"><i class="fas fa-bars"></i></button>
        <!-- Navbar Search-->
        <form class="d-none d-md-inline-block form-inline ms-auto me-0 me-md-3 my-2 my-md-0">
            @*<div class="input-group">
                <input class="form-control" type="text" placeholder="Search for..." aria-label="Search for..." aria-describedby="btnNavbarSearch" />
                <button class="btn btn-primary" id="btnNavbarSearch" type="button"><i class="fas fa-search"></i></button>
            </div>*@
        </form>
        <!-- Navbar-->
        <ul class="navbar-nav ms-auto ms-md-0 me-3 me-lg-4">
            <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" id="navbarDropdown" href="#" role="button" data-bs-toggle="dropdown" aria-expanded="false"><i class="fas fa-user fa-fw"></i></a>
                <ul class="dropdown-menu dropdown-menu-end" aria-labelledby="navbarDropdown">
                    

                    <li><a class="dropdown-item" href="#">Back To WorkSpace</a></li>
                </ul>
            </li>
        </ul>
    </nav>
    <div id="layoutSidenav">
        <div id="layoutSidenav_nav">
            <nav class="sb-sidenav accordion sb-sidenav-dark" id="sidenavAccordion">
                <div class="sb-sidenav-menu">
                    <div class="nav">
                        <div class="sb-sidenav-menu-heading">LIST MENU</div>

                        <a class="nav-link" href="@baseUrl/ListRooms">
                            <div class="sb-nav-link-icon"><i class="fas fa-table"></i></div>
                            List Meeting Room
                        </a>

                        <a class="nav-link" href="@baseUrl/ListBooking">
                            <div class="sb-nav-link-icon"><i class="fas fa-chart-area"></i></div>
                            List Booking Room
                        </a>

                    </div>
                </div>
                <div class="sb-sidenav-footer">
                    <div class="small">Logged in as:</div>
                    @Request.Cookies["Name"].Value
                </div>
            </nav>
        </div>
        <div id="layoutSidenav_content">
            <main>

                @RenderBody()


            </main>
            <footer class="py-4 bg-light mt-auto">
                <div class="container-fluid px-4">
                    <div class="d-flex align-items-center justify-content-between small">
                        <div class="text-muted">Copyright &copy; Your Website 2023</div>
                        <div>
                            <a href="#">Privacy Policy</a>
                            &middot;
                            <a href="#">Terms &amp; Conditions</a>
                        </div>
                    </div>
                </div>
            </footer>
        </div>
    </div>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/js/bootstrap.bundle.min.js" crossorigin="anonymous"></script>
    <script src="@baseUrlAsset/js/scripts.js"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.7.1/jquery.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/simple-datatables@7.1.2/dist/umd/simple-datatables.min.js" crossorigin="anonymous"></script>
    <script src="@baseUrlAsset/js/datatables-simple-demo.js"></script>
    <script src="@baseUrlAsset/index.global.js"></script>
    <script src="~/Scripts/Swal.js"></script>
    <script>
        function alertError(Msg, Ref = "#") {
            Swal.fire({
                icon: 'error',
                title: 'Oops...',
                text: Msg
            }).then((result) => window.location.href = Ref)
        }

        function alertSuccess(Msg, Ref = "#") {
            Swal.fire({
                icon: 'success',
                title: 'Ok...',
                text: Msg
            }).then((result) => window.location.href = Ref)
        }

        function numberWithCommas(x) {
            return x.toString().replace(/\B(?=(\d{3})+(?!\d))/g, ".");
        }



        function loading() {
            var timerInterval;
            Swal.fire({
                title: 'Loading .....',
                html: ' Jangan Menutup Tab selama proses data berlangsung !.',
                //timer: 5000,
                timerProgressBar: true,
                onBeforeOpen: () => {
                    Swal.showLoading()

                    timerInterval = setInterval(() => {
                        const content = Swal.getContent()
                        if (content) {
                            const b = content.querySelector('b')
                            if (b) {
                                b.textContent = Swal.getTimerLeft()
                            }

                        }
                    }, 100)
                },
                onClose: () => {
                    clearInterval(timerInterval)
                }
            }).then((result) => {
                /* Read more about handling dismissals below */
                if (result.dismiss === Swal.DismissReason.timer) {
                    console.log('I was closed by the timer')
                }
            })
        }


        var baseUrl = '@baseUrl';
        var Code = '@Request.Cookies["Code"].Value';


    </script>
    <script src="~/Scripts/@ViewBag.javascript"></script>






</body>
</html>


